smtpMailerOOo version 0.0.1

Les dernières nouvelles du front du libre, débats et autres informations générales sur nos suites bureautiques préférées ou sur ce site, en évitant de provoquer toute polémique (troll).
Aucun support assuré ici : posez votre question dans la section appropriée.

Modérateur: Vilains modOOs

smtpMailerOOo version 0.0.1

Messagepar psilocybe » 10 Oct 2021 16:10

Bonjour à tous,

Juste pour vous annoncer la disponibilité de l'extension smtpMailerOOo v 0.0.1.

Cette extension vous permet d'envoyer des courriels en nombre sur les contacts de votre téléphone Android.

Tout est expliqué dans la documentation.

Merci de vos retours.
psilocybe
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 61
Inscrit le : 21 Mai 2012 20:40

Re: smtpMailerOOo version 0.0.1

Messagepar Dolev » 10 Oct 2021 17:03

Bonjour,

Impossible d'installer l'OXT sous ma configuration :
Capture.PNG
Open Office 4.1.11 sous Windows 10 pro
Avatar de l’utilisateur
Dolev
Membre enthOOusiaste
Membre enthOOusiaste
 
Message(s) : 403
Inscrit le : 19 Août 2018 06:20

Re: smtpMailerOOo version 0.0.1

Messagepar micmac » 11 Oct 2021 08:42

Bonjour psilocybe,

Ne détachez pas votre signature, cette information peut s'avérer essentielle.

Pour rattacher votre signature, une fois connecté :
  • Cliquez sur Panneau de l'utilisateur (en haut à gauche)
  • Onglet Préférences du forum > Editer les options d'affichage
  • Sélectionnez le bouton radio Oui pour Afficher les signatures
  • Cliquez sur Envoyer
Avatar de l’utilisateur
micmac
RespOOnsable forum
RespOOnsable forum
 
Message(s) : 7727
Inscrit le : 28 Août 2010 09:45

Re: smtpMailerOOo version 0.0.1

Messagepar psilocybe » 11 Oct 2021 09:00

bonjour Dolev,

Tout d’abord, merci de participer, et de permettre d'améliorer cette extension.

Je doit t'avouer que je n'ai pas encore pu faire des essais sous OpenOffice, je n'arrive plus à avoir LibreOffice et OpenOffice installés en même temps sur mon portable sous Lubuntu.
Cela nécessite que je désinstalle LibreOffice pour pouvoir installer OpenOffice et sur mon vieux portable ça prend beaucoup de temps...
Mais comme je vois que vous êtes encore nombreux à utiliser OpenOffice, alors je crois que je vais devoir le faire...

Par contre, comment c'est passé l'installation des autres extensions (HsqlDBDriverOOo, OAuth2OOo et éventuellement gContactOOo) requises par smtpMailerOOo?
psilocybe
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 61
Inscrit le : 21 Mai 2012 20:40

Re: smtpMailerOOo version 0.0.1

Messagepar tintin » 11 Oct 2021 09:08

Bonjour,

Prenez en compte la demande du modérateur et renseignez votre signature. :wink:
psilocybe a écrit:je n'ai pas encore pu faire des essais sous OpenOffice
Ah bon, car
ici a écrit:smtpMailerOOo fait partie d’une Suite d’extensions LibreOffice et/ou OpenOffice [...] Cette extension vous permet d’envoyer des documents dans LibreOffice / OpenOffice...
AOO 4.1.11 et LibO stable 7.1.7 / macOS Intel 12.0.1 Monterey.
temurinJDK_1.8.0_312 / Firefox / Safari / Thunderbird / Time Machine
Pour la sauvegarde de vos documents c'est ceinture ET bretelles
Avatar de l’utilisateur
tintin
GourOOu
GourOOu
 
Message(s) : 7675
Inscrit le : 18 Juil 2008 16:29
Localisation : F-Oise + F-Savoie

Re: smtpMailerOOo version 0.0.1

Messagepar psilocybe » 11 Oct 2021 09:43

Bonjour Tintin,

Tout d’abord, merci de participer, et de permettre d'améliorer cette extension.

Qu'est ce que ça donne l'installation de smtpMailerOOo sous LibO stable 7.1.6 / macOS 11.6 Big Sur?
psilocybe
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 61
Inscrit le : 21 Mai 2012 20:40

Re: smtpMailerOOo version 0.0.1

Messagepar Dolev » 11 Oct 2021 11:51

Re,

psilocybe a écrit:Par contre, comment c'est passé l'installation des autres extensions (HsqlDBDriverOOo, OAuth2OOo et éventuellement gContactOOo) requises par smtpMailerOOo?

Pourquoi faut-il installer 4 OXT ? :shock:
Vu que le 1er ne s'installe pas, je n'ai pas été plus loin.
Il faut faciliter la vie des utilisateurs (surtout ceux qui testent) et fournir un seul fichier fonctionnel.

Dans l'attente.
Open Office 4.1.11 sous Windows 10 pro
Avatar de l’utilisateur
Dolev
Membre enthOOusiaste
Membre enthOOusiaste
 
Message(s) : 403
Inscrit le : 19 Août 2018 06:20

Re: smtpMailerOOo version 0.0.1

Messagepar psilocybe » 11 Oct 2021 13:25

Pourquoi faut-il installer 4 OXT


Bien parce que c'est écrit dans la documentation section: installation et si j'ai pris la peine d'écrire une documentation c'est pour qu'elle soit lue...
Et si tu lis aussi la documentation des 3 autres extensions, alors tu comprendras pourquoi il faut 4 extensions...

Il faut faciliter la vie des utilisateurs (surtout ceux qui testent) et fournir un seul fichier fonctionnel.


Cette extension à été écrite justement pour faciliter la vie de utilisateurs. Elle leurs permet d'envoyer en nombre des courriel personnalisés à des listes de diffusions provenant des contacts de leur téléphone Android...

Vu que le 1er ne s'installe pas, je n'ai pas été plus loin.


En fait Dolev rien ne t'oblige à tester cette extension, mais si tu le fais, alors fais le avec bonne volonté, avec autant de bonne volonté qu'il a fallu pour écrire cette extension.
Ça s'appelle du partage et du respect.
psilocybe
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 61
Inscrit le : 21 Mai 2012 20:40

Re: smtpMailerOOo version 0.0.1

Messagepar tintin » 11 Oct 2021 14:51

psilocybe a écrit:Qu'est ce que ça donne l'installation de smtpMailerOOo sous LibO stable 7.1.6 / macOS 11.6 Big Sur?
Je réponds à la question ci-dessus.
Dolev a écrit:Pourquoi faut-il installer 4 OXT
psilocybe a écrit:parce que c'est écrit dans la documentation
Installation:
  • Installer l’extension OAuth2OOo.oxt version 0.0.5.
  • Installer l’extension HsqlDBDriverOOo.oxt version 0.0.4.
  • Installer l’extension gContactOOo.oxt version 0.0.6.
  • Installer l’extension smtpMailerOOo.oxt version 0.0.1.
Ce qui ne va pas dans le sens de
psilocybe a écrit:Cette extension à été écrite justement pour faciliter la vie de utilisateurs
psilocybe a écrit:rien ne t'oblige à tester cette extension [...] partage et du respect
Pour au moins ces raisons plus la leçon de savoir vivre je n'ai pas envie.
AOO 4.1.11 et LibO stable 7.1.7 / macOS Intel 12.0.1 Monterey.
temurinJDK_1.8.0_312 / Firefox / Safari / Thunderbird / Time Machine
Pour la sauvegarde de vos documents c'est ceinture ET bretelles
Avatar de l’utilisateur
tintin
GourOOu
GourOOu
 
Message(s) : 7675
Inscrit le : 18 Juil 2008 16:29
Localisation : F-Oise + F-Savoie

Re: smtpMailerOOo version 0.0.1

Messagepar psilocybe » 11 Oct 2021 16:19

Tintin, tant mieux, s'il te plaît ne vient plus polluer mon fil...
psilocybe
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 61
Inscrit le : 21 Mai 2012 20:40

Re: smtpMailerOOo version 0.0.1

Messagepar Jeff » 11 Oct 2021 17:13

Bonjour à tous,

Le côté "modulaire' ne me dérange pas, si tant est qu'il soit une raison d'être (extensions utilisables dans d'autres contextes, ou bien superflue comme gContactOOo), je jetterai un coup d'oeil concernant l'installation avec AOO.

Pourquoi ton extension ne teste pas la présence des autres extensions, ce qui permettrait de les demander comme prérequises ?

A +
À lire avant tout !

Pour télécharger Apache OpenOffice

AOO 4.1.11 sur Ubuntu 20.04.03 x64 (Focal Fossa), et sur Win 10 pro x64
Jeff
GourOOu
GourOOu
 
Message(s) : 8647
Inscrit le : 18 Sep 2006 10:40
Localisation : France

Re: smtpMailerOOo version 0.0.1

Messagepar psilocybe » 11 Oct 2021 19:59

Bonsoir Jeff,

si tant est qu'il soit une raison d'être

la raison d'être est simple:

- L'extension OAuth2OOo qui permet d'obtenir l'autorisation d’accéder à vos données chez les GAFA via le protocole OAuth2, est utilisée par les extensions suivantes:
    - smtpMailerOOo
    - gContactOOo
    - gDriveOOo
    - oneDriveOOo
    - DropboxOOo
- L'extension HsqlDriverOOo qui est un driver JDBC / HsqlDB pour UNO est utilisée par les extension suivantes:
    - HsqlDBembeddedOOo
    - smtpMailerOOo
    - gContactOOo
    - gDriveOOo
    - oneDriveOOo
    - DropboxOOo
- L'extension gContactOOo qui permet d'avoir en local une copie des ses contacts Android peut éventuellement être utilisé par smtpMailerOOo afin d'avoir une source de données utilisable en publipostage de courriel.

Pourquoi ton extension ne teste pas la présence des autres extensions, ce qui permettrait de les demander comme prérequises ?


Lors de l'installation de l'extension, à priori, ceci n'est pas possible car je n'ai aucun code qui s’exécute lors de l'installation: c'est juste un fichier compressé, avec le bon format et une extension oxt, qui s'installe.

Lors de l'exécution de l'extension, ceci est possible et même déjà utilisé dans certaine extensions, mais cela n’empêche pas que le plus simple c'est de suivre la procédure d'installation de l'extension.

J’espère avoir répondu à tes questions.
psilocybe
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 61
Inscrit le : 21 Mai 2012 20:40

Re: smtpMailerOOo version 0.0.1

Messagepar Jeff » 11 Oct 2021 20:19

Tout à fait :)

J'essaierai de tester l'installation dans la semaine...

Il serait bien que tu donnes suite au post du modérateur également ;)
À lire avant tout !

Pour télécharger Apache OpenOffice

AOO 4.1.11 sur Ubuntu 20.04.03 x64 (Focal Fossa), et sur Win 10 pro x64
Jeff
GourOOu
GourOOu
 
Message(s) : 8647
Inscrit le : 18 Sep 2006 10:40
Localisation : France

Re: smtpMailerOOo version 0.0.1

Messagepar Jeff » 12 Oct 2021 16:40

Re...

Avec AOO 4.1.10 et Ubuntu 20.04, il faut installer OAuth2OOo pour pouvoir installer smtpMailerOOo sans l'erreur mentionnée par Dolev.

En revanche, impossible d'installer HsqlDriverOOo (qui devrait a priori se nommer HsqlDriverLibO :aie: ) sans erreur :

Capture d’écran du 2021-10-12 17-27-03.png


À noter que pour cette version d'AOO, on est encore en python 2.7, ça doit avoir son importance...

J'ai pas tester le fonctionnement, mais Outils -> Add-ons -> Envoi de courriels -> Publiposter un document lance bien l'assistant.

A +

 Ajout : une bdd test serait bienvenue... 
À lire avant tout !

Pour télécharger Apache OpenOffice

AOO 4.1.11 sur Ubuntu 20.04.03 x64 (Focal Fossa), et sur Win 10 pro x64
Jeff
GourOOu
GourOOu
 
Message(s) : 8647
Inscrit le : 18 Sep 2006 10:40
Localisation : France

Re: smtpMailerOOo version 0.0.1

Messagepar psilocybe » 12 Oct 2021 19:24

Oui Jeff, merci du report.

Je viens de corriger l'erreur d'installation. Voici la nouvelle version: HsqlDBDriver.oxt qui est toujours en V 0.0.4 mais corrigée...

À noter que pour cette version d'AOO, on est encore en python 2.7, ça doit avoir son importance...


Avec du python 2.7 minimum, normalement toutes les extensions doivent tourner.
Par contre smtpMailerOOo à besoin d'une version python SSL minimum qui doit être de 0.98 à priori...

On peut voir la version de SSL dans: Outils -> Options -> Internet -> Protocole OAuth2 -> Voir journal -> Info système

Avec AOO 4.1.10 et Ubuntu 20.04, il faut installer OAuth2OOo pour pouvoir installer smtpMailerOOo sans l'erreur mentionnée par Dolev.


J'ai pris le temps de modifier l'extension smtpMailerOOo afin qu'il n'y ai plus de message d'erreur quelque soit l'ordre d'installation.

Comme base de donnée de test, tu peut créer un compte Gmail, saisir quelques contacts et utiliser gContactOOo pour y accéder dans LibreOffice / OpenOffice.
psilocybe
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 61
Inscrit le : 21 Mai 2012 20:40

Re: smtpMailerOOo version 0.0.1

Messagepar Jeff » 13 Oct 2021 15:35

psilocybe a écrit:Je viens de corriger l'erreur d'installation
Installation OK :)

psilocybe a écrit:Avec du python 2.7 minimum, normalement toutes les extensions doivent tourner.
Non non, déjà testé par le passé...

psilocybe a écrit:version de SSL dans: Outils -> Options -> Internet -> Protocole OAuth2 -> Voir journal -> Info système
Peut-être par ce que je n'est pas encore eu le temps de tester, chez moi la fenêtre qui s'ouvre est vierge.
À lire avant tout !

Pour télécharger Apache OpenOffice

AOO 4.1.11 sur Ubuntu 20.04.03 x64 (Focal Fossa), et sur Win 10 pro x64
Jeff
GourOOu
GourOOu
 
Message(s) : 8647
Inscrit le : 18 Sep 2006 10:40
Localisation : France

Re: smtpMailerOOo version 0.0.1

Messagepar psilocybe » 13 Oct 2021 19:01

Installation OK


Super, tant mieux, le plus curieux c'est qu'elle s'installait sans problème chez moi???

Non non, déjà testé par le passé...


Pardon, je voulais dire: Avec du python 2.7 minimum, normalement toutes mes extensions doivent tourner. A vérifier! :D

Peut-être par ce que je n'est pas encore eu le temps de tester, chez moi la fenêtre qui s'ouvre est vierge.


Tout changement de configuration du service de journalisation (logger) doit être appliqué soit:
- par le bouton Appliquer de la fenêtre Options.
- par le bouton OK qui ferme la fenêtre Options.
Une fois les changements appliqués, le fichier log devrait être visible.
J’avoue que cela n'est pas très intuitif...
psilocybe
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 61
Inscrit le : 21 Mai 2012 20:40


Retour vers Nouvelles du front et Tribune du Libre

Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 3 invité(s)